Bug 177957 - up2date unselects all packages if select-all is checked and user selects "back"
up2date unselects all packages if select-all is checked and user selects "back"
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
Depends On:
Blocks: 168424 169775
  Show dependency treegraph
Reported: 2006-01-16 14:48 EST by Beth Nackashi
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0105
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-15 10:38:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-01-16 14:48:50 EST
+++ This bug was initially created as a clone of Bug #177786 +++

Description of problem:
Running up2date gui, on the "Available Package Updates" panel:  if you check
"Select all packages", then "Back" then "Forward", the "Select all packages" box
remains checked but all packages are now unchecked.  If you try to move forward
at that point, no packages will be installed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Start up2date gui.
2.  Keep clicking "Forward" until the "Available Package Updates" panel appears.
3.  Click "Select all packages".  Notice all packages are checked.
4.  Click "Back".
5.  Click "Forward".
Actual results:
"Select all packages" is still checked, but none of the individual packages are
checked anymore.  Now if you try to proceed, up2date will happily not install
any packages.

Expected results:
"Select all packages" is still checked, and all of the individual packages are
still checked.

Additional info:
Comment 1 Adrian Likins 2006-01-17 16:18:06 EST
Comment 2 Beth Nackashi 2006-01-25 14:35:48 EST
verified fix on i386, ia64, and x86_64 using up2date-4.4.63-3
Comment 3 Red Hat Bugzilla 2006-03-15 10:38:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.